#include <iostream>
#include <iomanip>
#include <algorithm>

using namespace std;

int N;
std::pair<double, int> A[200000];
double maxsuma;

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin>>N;
    for(int i=0;i<N;i++){
        cin>>A[i].second>>A[i].first;
    }
    std::sort(A, A + N, std::greater<std::pair<int, int>>());
    int suma = 0;
    for(int i=0;i<N;i++){
        suma += A[i].second;
        maxsuma=max(suma * A[i].first / 100.0, maxsuma);
    }

    cout<<fixed<<setprecision(15)<<maxsuma;

}